Bug 493726 - KMS:RV250:Mobility FireGL 9000 multihead breakage
KMS:RV250:Mobility FireGL 9000 multihead breakage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
card_R200/m
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 16:21 EDT by Maciej Grela
Modified: 2010-12-05 01:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:57:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Photo 1 (3.88 MB, image/jpeg)
2009-04-02 16:23 EDT, Maciej Grela
no flags Details
Photo 2 (3.84 MB, image/jpeg)
2009-04-02 16:25 EDT, Maciej Grela
no flags Details
Photo 3 (3.88 MB, image/jpeg)
2009-04-02 16:27 EDT, Maciej Grela
no flags Details
xrandr --verbose output after xorg boots (1.27 KB, application/x-gzip)
2009-04-02 16:28 EDT, Maciej Grela
no flags Details
xorg log after booting (9.89 KB, application/x-gzip)
2009-04-02 16:29 EDT, Maciej Grela
no flags Details
dmesg after xorg boots (12.69 KB, application/x-gzip)
2009-04-02 16:29 EDT, Maciej Grela
no flags Details
Photo 4 (3.95 MB, image/jpeg)
2009-04-02 16:31 EDT, Maciej Grela
no flags Details
Photo 5 (3.04 MB, image/jpeg)
2009-04-02 16:33 EDT, Maciej Grela
no flags Details
Photo 6 (3.65 MB, image/jpeg)
2009-04-02 16:34 EDT, Maciej Grela
no flags Details
Xorg.log after bootup (39.16 KB, text/plain)
2009-11-05 15:56 EST, Maciej Grela
no flags Details
Rendering artefact in Firefox on external lcd (4.00 MB, image/jpeg)
2009-11-05 15:57 EST, Maciej Grela
no flags Details
Rendering artefact in Firefox on laptop panel (3.84 MB, image/jpeg)
2009-11-05 15:59 EST, Maciej Grela
no flags Details
Text rendering broken (3.79 MB, image/jpeg)
2009-11-05 16:01 EST, Maciej Grela
no flags Details
Text rendering broken on external lcd (3.91 MB, image/jpeg)
2009-11-05 16:02 EST, Maciej Grela
no flags Details

  None (edit)
Description Maciej Grela 2009-04-02 16:21:35 EDT
Description of problem:
Serious problems encountered when trying to run multihead on a Radeon Mobility FireGL 9k on Fedora radeon test day.
http://fedoraproject.org/wiki/QA:Testcase_radeon_multihead

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. Download image from Fedora radeon test day wiki page.
2. Connect a SAMSUNG 17'' LCD monitor (can't see the model, can check it though).
3. Boot the livecd.
  
Actual results:
Where to start ... My native laptop panel resolution is 1400x1050 and the LCD
can do 1280x1024 max. First of all, the splash indeed appeared on both screens although on the laptop screen there was an ugly black spot on the right side. This situation is presented in attachment 1 [details]. The display on the laptop's panel should be centered to look much better. 

When Xorg starts the external monitor starts to display junk and the laptop's panel right zone which was black becomes full of one-two pixel sides vertical stripes. This is shown on photos 2 and 3. I have attached dmesg, Xorg log and xrandr --verbose output for this case. Now I run gnome-display-properties and try to change some things. Unfortunately, when I simply uncheck "Mirror screens" and press apply the screen switches into a "Commodore 64 interlaced PAL crapmode". To illustrate, see photo in attachment 4 [details]. So, this dead path leads me to a reboot. After reboot I proceed more carefully and discover, that the broken clone configuration can be fixed in the following way:
1. Switch off the external monitor
2. Switch on the external monitor
3. Enable "Mirror screens" again.

After performing these steps the clone mode looks shiny as you can see on photos in attachments 5 and 6.

When booting with the 'nomodeset' flag everything works fine.

Expected results:
Clone mode should appear no both screens.

Additional info:
The hardware is a Dell D600 with Smolt profile here: http://www.smolts.org/client/show/pub_08866391-44c6-41ef-87c7-1e7398a9fd21
Comment 1 Maciej Grela 2009-04-02 16:23:59 EDT
Created attachment 337908 [details]
Photo 1

Splashscreen shifted to the right when booting.
Comment 2 Maciej Grela 2009-04-02 16:25:48 EDT
Created attachment 337909 [details]
Photo 2

Display garbled on external monitor after xorg boots.
Comment 3 Maciej Grela 2009-04-02 16:27:53 EDT
Created attachment 337911 [details]
Photo 3

Garbled laptop screen after xorg is booted.
Comment 4 Maciej Grela 2009-04-02 16:28:42 EDT
Created attachment 337912 [details]
xrandr --verbose output after xorg boots
Comment 5 Maciej Grela 2009-04-02 16:29:02 EDT
Created attachment 337913 [details]
xorg log after booting
Comment 6 Maciej Grela 2009-04-02 16:29:22 EDT
Created attachment 337914 [details]
dmesg after xorg boots
Comment 7 Maciej Grela 2009-04-02 16:31:07 EDT
Created attachment 337915 [details]
Photo 4

Interlaced Commodore 64 resolution after disabling clone.
Comment 8 Maciej Grela 2009-04-02 16:33:05 EDT
Created attachment 337917 [details]
Photo 5

After some voodoo clone mode works much better (external monitor view).
Comment 9 Maciej Grela 2009-04-02 16:34:17 EDT
Created attachment 337918 [details]
Photo 6

After some voodoo clone mode works ok (laptop screen view).
Comment 10 Bug Zapper 2009-06-09 09:08:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Matěj Cepl 2009-11-05 13:24:58 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Maciej Grela 2009-11-05 15:55:46 EST
Hi,

The multihead mode works much better than before but there is still some weird stuff going on. For example, when the system is booting (which takes far too long btw) the backlight randomly flashes. This can be seen in the movie: http://mgrela.rootnode.net/fedora-12-radeon-test/backlight-flashes-during-bootup.mov 

I think that it's the lcd backlight flashing because when it's off you can barely see a dim blinking fedora sign in the center of the panel.

After the system finally boots it displays the backgrounds ok on both screens, but there are graphical artifacts and text rendering is completely borked. See attached photos for examples. I've also attached my Xorg.log

Best regards,
Maciej Grela
Comment 13 Maciej Grela 2009-11-05 15:56:12 EST
Created attachment 367709 [details]
Xorg.log after bootup
Comment 14 Maciej Grela 2009-11-05 15:57:35 EST
Created attachment 367710 [details]
Rendering artefact in Firefox on external lcd
Comment 15 Maciej Grela 2009-11-05 15:59:10 EST
Created attachment 367711 [details]
Rendering artefact in Firefox on laptop panel
Comment 16 Maciej Grela 2009-11-05 16:01:41 EST
Created attachment 367712 [details]
Text rendering broken

Text rendering seems to work OK in gdm. The effects seen also gets worse over time - immidiately after booting you can still see the letters. After a few minutes of using the machine you start to see less and less.
Comment 17 Maciej Grela 2009-11-05 16:02:44 EST
Created attachment 367713 [details]
Text rendering broken on external lcd
Comment 18 Bug Zapper 2010-04-27 09:27:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Vedran Miletić 2010-05-24 15:30:05 EDT
Improving summary. Updating version to 12 per comment 12.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 20 Bug Zapper 2010-11-04 07:23:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-12-05 01:57:44 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.